# H46024B_AlternateAddresses Class Reference

`#include <h46024b.h>`

Collaboration diagram for H46024B_AlternateAddresses:

[legend]

## Public Member Functions

| H46024B_AlternateAddresses (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Data Fields

H46024B_ArrayOf_AlternateAddress | m_addresses

## Constructor & Destructor Documentation

H46024B_AlternateAddresses::H46024B_AlternateAddresses | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H46024B_AlternateAddresses::Clone | ( |  | ) | const

Comparison H46024B_AlternateAddresses::Compare | ( | const PObject & | obj | ) | const

PBoolean H46024B_AlternateAddresses::Decode | ( | PASN_Stream & | strm | ) |

void H46024B_AlternateAddresses::Encode | ( | PASN_Stream & | strm | ) | const

PINDEX H46024B_AlternateAddresses::GetDataLength | ( |  | ) | const

void H46024B_AlternateAddresses::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

H46024B_ArrayOf_AlternateAddress H46024B_AlternateAddresses::m_addresses

The documentation for this class was generated from the following file:

- h46024b.h